# v1.0.3

{% hint style="danger" %}
Due to the number of files changed, the developer highly recommends that you perform a full reinstall of the script to ensure everything works smoothly!
{% endhint %}

## Improvements

* Native Qbox support (will also be autodetected with `Framework = "auto"`)
* Motorbikes can be serviced (with special UI), dyno'ed, tuned & have NOS installed if desired
* Disable ability for mechanic employees to self-service vehicles
* jg-vehiclemileage also has `Framework = "auto"` by default

## Fixes

* Fix bug where orders applied via the tablet would not stick (issue with `applyVehicleProps` statebag)
* Fix issue where livery could not be removed (vastly improved get/setVehicleProperties functions)
* Fix issue where all vehicles would gain a speed + traction boost when servicing is enabled
* Fix issue where vehicles *without* an engine bone could not be worked on

## Locales

Added 2 more missing locales: `orderHasBeenPlaced` & `contactMechanicToFulfill`. Thanks for all the locale submissions so far, these will be added to the project by default at some point soon. If you're translated the script, it would be awesome if you were willing to share it with the community!

{% hint style="info" %}
Config

New config option: `Config.MechanicEmployeesCanSelfServiceMods = false`
{% endhint %}

## Changed Files

* client/cl-carlift.lua
* client/cl-minigames.lua
* client/cl-mods.lua
* client/cl-servicing.lua
* client/cl-tablet.lua
* client/cl-tuning.lua
* client/cl-vehicleprops.lua
* framework/cl-functions.lua
* framework/main.lua
* framework/sv-functions.lua
* server/sv-invoice.lua
* server/sv-management.lua
* server/sv-orders.lua
* web (entire folder)
* locales (translations modified)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jgscripts.com/mechanic/changelog/v1.0.3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
